%define module	setuptools
%define subrel	1
%define py3dir	%{_builddir}/python3-%{name}-%{version}-%{release}

Summary:	Python Distutils Enhancements
Name:		python-%{module}
Version:	0.9.8
Release:	%mkrel 2
License:	Python or ZPLv2.0
Group:		Development/Python
Url:		http://pypi.python.org/pypi/%{module}
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
# From Fedora Submitted upstream
# https://bitbucket.org/tarek/distribute/issue/363/skip-test_sdist_with_utf8_encoded_filename
Patch0:		distribute-skip-sdist_with_utf8_encoded_filename.patch 
BuildArch:	noarch
BuildRequires:	python-devel
Provides:	python-distribute = %{version}-%{release}
Obsoletes:	python-distribute < %{version} 
Requires:	python-devel
Requires:	python-pkg-resources

%description
A collection of enhancements to the Python distutils that allow 
you to more easily build and distribute Python packages, especially 
ones that have dependencies on other packages.


%package -n python3-setuptools
Summary:	Python Distutils Enhancements
Group:		Development/Python

BuildRequires:  python3-devel

Requires:	python3-devel
Requires:	python3-pkg-resources

%description -n python3-setuptools
A collection of enhancements to the Python 3 distutils that allow
you to more easily build and distribute Python 3 packages, especially
ones that have dependencies on other packages.


%package -n python-pkg-resources
Summary: Runtime module to access python resources
Group:	Development/Python

%description -n python-pkg-resources
Module used to find and manage Python package/version dependencies and access
bundled files and resources, including those inside of zipped .egg files.


%package -n python3-pkg-resources
Summary: Runtime module to access python 3 resources
Group:  Development/Python

%description -n python3-pkg-resources
Module used to find and manage Python 3 package/version dependencies and access
bundled files and resources, including those inside of zipped .egg files.


%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
cp -a . %{py3dir}


%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
    CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%check
%{__python} setup.py test

pushd %{py3dir}
    %{__python3} setup.py test
popd

%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
    %{__python3} setup.py install --skip-build --root=%{buildroot}
    rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

    find %{buildroot}%{python3_sitelib} -name '*.exe' | xargs rm -f
    chmod +x %{buildroot}%{python3_sitelib}/setuptools/command/easy_install.py
popd

%{__python} setup.py install --skip-build --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/setuptools/tests

find %{buildroot}%{python_sitelib} -name '*.exe' | xargs rm -f
chmod +x %{buildroot}%{python_sitelib}/setuptools/command/easy_install.py

%files
%doc *.txt
%{_bindir}/easy_install
%{_bindir}/easy_install-2.*
%{py_sitedir}/*
%exclude %{py_sitedir}/pkg_resources.py*

%files -n python-pkg-resources
%{py_sitedir}/pkg_resources.py*

%files -n python3-setuptools
%doc *.txt
%{_bindir}/easy_install-3.*
%{python3_sitelib}/*
%exclude %{python3_sitelib}/pkg_resources.py*

%files -n python3-pkg-resources
%{python3_sitelib}/pkg_resources.py*



%changelog
* Fri Sep 06 2013 philippem <philippem> 0.9.8-2.1.mga3
+ Revision: 475572
- fix fail test
- update to 0.9.8 to fix CVE-2013-1633 (mga11169)

* Fri Feb 08 2013 anssi <anssi> 0.6.28-6.mga3
+ Revision: 395526
- versionize Obsoletes to avoid any future issues

* Mon Feb 04 2013 spuhler <spuhler> 0.6.28-5.mga3
+ Revision: 394464
- added Obsoletes: python-distribute

* Sat Jan 26 2013 dmorgan <dmorgan> 0.6.28-4.mga3
+ Revision: 392538
- Rebuild to add missing rpm

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 fwang <fwang> 0.6.28-2.mga3
+ Revision: 300324
- rebuild for new py3.3

* Mon Aug 13 2012 lebedov <lebedov> 0.6.28-1.mga3
+ Revision: 281173
- Update to 0.6.28.

* Mon Mar 12 2012 kamil <kamil> 0.6.24-2.mga2
+ Revision: 223161
- python 3 build
- update license (according to Fedora)

* Wed Oct 26 2011 philippem <philippem> 0.6.24-1.mga2
+ Revision: 158282
- Upstream bugfix release 0.6.24

* Sun Jun 19 2011 kharec <kharec> 0.6.19-1.mga2
+ Revision: 109701
- new version 0.6.19

* Fri Feb 18 2011 ahmad <ahmad> 0.6.14-7.mga1
+ Revision: 53912
- rebuild so that the pythonegg autoprovides become available

* Mon Jan 17 2011 pterjan <pterjan> 0.6.14-6.mga1
+ Revision: 21275
- Rebuild for python 2.7

* Sun Jan 09 2011 blino <blino> 0.6.14-5.mga1
+ Revision: 3687
- remove old conflicts
- imported package python-setuptools

